org.deidentifier.arx.algorithm

## Class DataDependentEDDPAlgorithm

- java.lang.Object
- - org.deidentifier.arx.algorithm.AbstractAlgorithm
  - - org.deidentifier.arx.algorithm.DataDependentEDDPAlgorithm

    public class DataDependentEDDPAlgorithm
    extends AbstractAlgorithm

This class implements the search algorithm used with data-dependent differential privacy as proposed in: Bild R, Kuhn KA, Prasser F. SafePub: A Truthful Data Anonymization Algorithm With Strong Privacy Guarantees. Proceedings on Privacy Enhancing Technologies. 2018(1):67-87.

Author:
  Raffael Bild

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static AbstractAlgorithm` `create(SolutionSpace<?> solutionSpace, TransformationChecker checker, boolean deterministic, int expansionLimit, double epsilonSearch)` Creates a new instance
`boolean` `traverse()` Implement this method in order to provide a new algorithm.

### Methods inherited from class org.deidentifier.arx.algorithm.AbstractAlgorithm

`getGlobalOptimum, setListener`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### create

    public static AbstractAlgorithm create(SolutionSpace<?> solutionSpace,
                                           TransformationChecker checker,
                                           boolean deterministic,
                                           int expansionLimit,
                                           double epsilonSearch)

Creates a new instance

Parameters:
  `solutionSpace` -
  `checker` -
  `deterministic` -
  `expansionLimit` -
  `epsilonSearch` -
Returns:

#### traverse

    public boolean traverse()

Description copied from class: `AbstractAlgorithm`
Implement this method in order to provide a new algorithm.

Specified by:
  `traverse` in class `AbstractAlgorithm`
Returns:
  Whether the result is optimal